Name:           perl-Config-JSON
Version:        1.5100
Release:        1%{?dist}
Summary:        A JSON based config file system.

Group:          Development/Libraries
License:        GPL & Artistic License
URL:            http://search.cpan.org/~rizen/Config-JSON-%{version}/
Source0:        http://www.cpan.org/authors/id/R/RI/RIZEN/Config-JSON-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Any::Moose)
BuildRequires:	perl(JSON)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This package parses the config files written in JSON.
It also does some non-JSON stuff, like allowing for comments in the files.
If you want to see it in action, it is used as the config file system in WebGUI http://www.webgui.org/.

%prep
%setup -q -n Config-JSON-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
# For noarch packages: vendorlib
%{perl_vendorlib}/*
#exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*


%changelog
* Fri Oct 18 2013 momo-i <webmaster@momo-i.org> - 1.5100-1
- Initial rpm release.
